Name:		c-graph
Version:	2.0
Release:	8%{?dist}
License:	GPLv3+
Group:		Applications/Engineering
Summary:	A tool for visualizing convolution
URL:		http://www.gnu.org/software/%{name}
Source0:	http://ftp.gnu.org/gnu/c-graph/%{name}-%{version}.tar.gz
BuildRequires:	gcc-gfortran
BuildRequires:	help2man
Requires:	coreutils
Requires:	gnuplot
Requires:	ImageMagick
Requires:	less
Requires:	ncurses
Requires(post):	info
Requires(preun): info

%description
GNU C-Graph is a novel tool for visualizing the mathematical operation
of convolution underlying natural phenomena susceptible to analysis in
terms of engineering signals and systems theory. "C-Graph" is an
abbreviation for "Convolution Graph". The package is derived from the
BSc. Honors dissertation in Electrical Engineering "Interactive
Computer Package Demonstrating: Sampling Convolution and the FFT",
Adrienne Gaye Thompson, University of Aberdeen (1983).

The package computes the linear convolution of two signals in the time
domain then compares their circular convolution by demonstrating the
convolution theorem. Each signal is modeled by a register of discrete
values simulating samples of a signal, and the discrete Fourier
transform (DFT) computed by means of the Fast Fourier Transform (FFT).

GNU C-Graph is interactive, prompting the user to enter character or
numerical values from the keyboard, dispensing with the learning curve
for writing code. The software is an excellent tool for lecture
demonstrations and lab work in the teaching of signals and systems theory.

C-Graph is written in Fortran. Adrienne Gaye Thompson is the sole author
of GNU C-Graph.

%prep
%setup -q

%build
%configure
# remove \r\n line endings
sed -e 's|\r||' README > README.new
touch -r README.new README
mv README.new README
make FCFLAGS="$FFLAGS"

%install
make install DESTDIR=%{buildroot}

# must be created when installing info
rm -f %{buildroot}%{_infodir}/dir

# create a simple manual page
mkdir -p %{buildroot}%{_mandir}/man1
help2man src/%{name} > %{buildroot}%{_mandir}/man1/%{name}.1

mv %{buildroot}%{_datadir}/%{name}/{AUTHORS,README,TODO} \
    %{buildroot}%{_docdir}/%{name}

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%doc %{_docdir}/%{name}
%doc %{_infodir}/%{name}*
%doc %{_mandir}/man1/%{name}.1*

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 15 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 2.0-3
- Do not modify README timestamp (#881794)
- Use proper fortran compile flags (#881794)

* Tue Jan 15 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 2.0-2
- Correct summary as per package author suggestion (#881794)
- Add missing requires for called binaries (#881794)
- Correct description to use American English per the guidelines (#881794)
- Move documentation to docdir (#881794)

* Mon Nov 26 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 2.0-1
- Initial c-graph spec
